Subject: bug#16519: 24.3.50; gfile notifications not received in batch mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Jan 2014 17:49:33 +0200

> From: Michael Albinus <[email-masked]>
> Date: Wed, 22 Jan 2014 10:50:06 +0100
> 
> File notifications via gfilenotify are not received in batch
> mode. Likely, the following actions must be taken (quoting Jan Djärv):
> 
>   So just switching to xg_select will not do.  You have to explicitly
>   check if in batch mode, then check if GLib has file descriptors we
>   don't know about, and then call xg_select in the main thread.

You will see that I needed to do something very similar for the w32
build.